Multivariate Pattern Analysis in Python

# mvpa2.kernels.base.NumpyKernel

class `mvpa2.kernels.base.``NumpyKernel`(*args, **kwargs)

  A Kernel object with internal representation as a 2d numpy array

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel
  `computed`(*args, **kwargs) | Compute kernel and return self

  Base Kernel class has no parameters

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_np`() | Directly return this kernel as a numpy array.
  `cleanup`() | Wipe out internal representation
  `compute`(ds1[, ds2]) | Generic computation of any kernel
  `computed`(*args, **kwargs) | Compute kernel and return self

  `as_np`()

    Converts this kernel to a Numpy-based representation

  `as_raw_np`()

    Directly return this kernel as a numpy array.

    For Numpy-based kernels - simply returns stored matrix.